



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>SQL Server性能优化（4）命名和书写规范</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">SQL Server性能优化（4）命名和书写规范</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-24 03:54:06 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<blockquote><p>命名规范是一个老生常谈的问题，好的命名规范对于团队程序开发，对bug定位、处理，项目延续有很重要的作用。</p></blockquote>
<p>一、 列举现在的问题：</p>
<p>&#160;&#160;&#160; 1.名称首字母不大写</p>
<blockquote><p><img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog/96437/201505/181616211668335.png" /></p></blockquote>
<p>&#160;&#160;&#160; 2. 用中文名字</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; <img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog/96437/201505/181616225572093.png" /></p>
<p>&#160;&#160;&#160; 3. 语句书写不规范，如下，关键字基友大写也有小写。编程风格不统一。<img referrerpolicy="no-referrer"src="https://images0.cnblogs.com/blog/96437/201505/181616237132780.png" /></p>
<p>二. 通常的数据库对象命名基本规范（网络+自己整理）</p>
<p>&#160;&#160;&#160; 1． 总体命名规范</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 名称的长度不超过32个字符。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. 名称采用英文单词、英文单词缩写和数字，单词首字母<strong>大写</strong>。&#160; 说明：除非用户提供文档化的行业标准（例如，国标或部颁标准），否则不得违反本规范。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; c. 不得采用“_”作为名称的起始字母和终止字母。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; d. 名称必须望文知意。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; e. 名称不得与数据库管理系统保留字冲突。</p>
<p>2． 数据库名</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 数据库名定义为系统名+模块名，或直接采用系统名，如热表采集平台用户数据库HeatUser。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. <strong>数据库名全部采用小写(?系统自带数据库是小写)。</strong></p>
<p>3． 数据库文件(用于分区分表时，增加数据库文件)</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 数据文件命名采用数据库名+_+文件类型+［文件序号］.文件后缀，文件序号为1、2、3…9等数值，当数据库中某一文件类型的文件有多个时加上文件序号以区别。只有一个时可不加。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. 文件后缀：主数据文件为.mdf，其它数据文件为.ndf,日志文件为.ldf。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; c. 文件名全部采用小写。</p>
<p>4． 表&#160; 表命名要遵循以下原则：</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 采用“系统名+_+T_+模块名+_+表义名”格式构成。若数据库中只含有单个模块，命名可采用“系统名+T_+表义名”格式构成。如用户库里的用户日志表：User_T_Log.</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. 整个表名的长度不要超过30个字符。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; c. 系统名、模块名均采用小写字符<strong>(系统自带数据库表名是小写)</strong>。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; d. 模块名或表义名均以其英文单词命名，且字符间不加分割符；表义名中单词的首字符大写，其它字符小写，多个单词间也不加任何分割符，单词全部采用<strong>单数</strong>形式。    <br />&#160;&#160;&#160;&#160; e. 数据库中不论是表名还是字段名，都一律用英文，不准出现其它语言；每个单词的第一个字母必须大写；如果太长根据实际情况，实际习惯进行缩写。</p>
<p>5． 列或字段命名遵循以下原则：</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 采用有意义的列名，为实际含义的英文单词，且字符间不加任何分割符。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. 属性名前不要加表名等作为前缀。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; c. 属性后不加任何类型标识作为后缀。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; d. 不要使用“ID”等与系统保留关键字冲突的单词作为列名。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; e. 主键均用“ID”。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; f. 外键命名为：“fk+_+表名(或缩写)+_主表名(或缩写)+_+主键标识”，如果用户日志表里的用户ID外键列：fk_User_ID。</p>
<p>6． 索引&#160;</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 索引的命名为：“表名（或缩写）+_+列名+_idx”。多个列的索引只写第一列。</p>
<p>7． 触发器</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160; a. AFTER型触发器：&#160; 系统名+tr_+&lt;表名&gt;_+&lt;i,u,d的任意组合&gt;，其中i，u，d 分别表示insert、update和delete。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160; b. INSTEAD OF型触发器：&#160; 系统名+ti_+&lt;表名&gt;+_+&lt;i,u,d的任意组合&gt;，其中i，u，d 分别表示insert、update和delete。</p>
<p>8． 视图&#160; 视图命名以系统名+v_+模块名作为前缀，其他命名规则和表的命名类似。</p>
<p>9． 存储过程    <br />&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 存储过程命名由“系统名+sp+_+主表名+_+操作+_+存储过程标识(缩写)”组成。操作有Insert，update，Delete，select。 如oa表里添加用户的存储过程OA_sp_User_Insert,选择用户OA_sp_User_Select_ByID</p>
<p>10． 函数&#160; 函数命名由“系统名+f+_+函数标识”组成。</p>
<p>11． 变量名</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160; a. 参数变量命名采用“i (o或io)+_+ 名称”形式，前缀i 或o 表示输入还是输出参数。 </p>
<p>&#160;&#160;&#160;&#160;&#160;&#160; b. 过程变量命名采用“l+_+名称”形式。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160; c. 变量名采用小写，若属于词组形式，用下划线分隔每个单词。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160; d. 角色-全部使用小写字符命名。-由“系统名称+_+role+_+名词(或缩写)或名词短语(或缩写)”组成。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160; e. 用户-全部使用小写字符命名。-由“系统名称+_+user+_+名词(或缩写)或名词短语(或缩写)”组成。</p>
<p>三、Transact-SQL编程基本规范</p>
<p>1． 一般性注释</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 注释可以包含在批处理中。在触发器、存储过程中包含描述性注释将会大大增加文本的可读性和可维护性。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. 注释尽可能详细、全面。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; c. 创建每一个数据对象前，应具体描述该对象的功能和用途。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; d. 传入参数的含义应该有所说明。如果取值范围确定，也应该一并说明。取值有特定 含义的变量（如boolean类型变量），应给出每个值的含义。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; e. 注释语法包含两种情况：单行注释、多行注释。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; 单行注释：注释前有两个连字符（--），最后以换行符结束。一般对变量、条件子句可以采用该类注释。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160; 多行注释：符号/*和*/之间的内容为注释内容。对某项完整的操作建议使用该类注释。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; e. 注释应当简洁，同时应描述清晰。</p>
<p>2． 函数文本注释</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. 编写函数文本--如视图、函数、触发器、存储过程以及其他数据对象时，必须为每个函数增加适当注释。该注释以多行注释为主，主要结构如下：</p>
<div>
<pre class="prettyprint linenums">--******************************************************************<br />
--name : --函数名<br />
--function : --函数功能<br />
--input : --输入参数 </pre>
<pre class="prettyprint linenums">--output : --输出参数<br />
--author : --作者<br />
--CreateDate : --创建时间<br />
--UpdateDate : --函数更改信息（包括作者、时间、更改内容等）  </pre>
<pre class="prettyprint linenums">--******************************************************************<br />
CREATE [OR REPLACE] FUNCTION dfsp_xxx …</pre>
</div>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. 传入参数的含义应该有所说明。如果取值范围确定，也应该一并说明。取值有特定含义的变量（如boolean类型变量），应给出每个值的含义。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; c. 在每一个变量声明之后添加注释。说明该变量的用途，通常，简单使用单行注释。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; d. 在块的每个主要部分之前添加注释，在块的每个主要部分之前增加注释，解释下—组语句目的，最好是说明该段语句及算法的目的以及要得到的结果，但不要对其细节进行过多的描述。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; e. 在块和过程的开头注释中还可以增加要访问的数据库等信息。</p>
<p>3． 常用SQL语句的编写基本规范</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; a. CREATE 语句</p>
<div>
<pre class="prettyprint linenums">CREATE TABLE publishers<br />
 (<br />
    pub_id char(4) NOT NULL --标识<br />
     CONSTRAINT UPKCL_pubind PRIMARY KEY CLUSTERED<br />
    CHECK (pub_id IN ('1389', '0736', '0877', '1622', '1756')<br />
    OR pub_id LIKE '99[0-9][0-9]'),<br />
    pub_name varchar(40) NULL, --名称<br />
     city varchar(20) NULL, --城市<br />
    state char(2) NULL, --州<br />
    country varchar(30) NULL --国家<br />
    DEFAULT('USA')<br />
)</pre>
</div>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; b. SELECT语句</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; 查询语句采用以下原则编写（可最大化重用共享池中的SQL语句，提高应用程序性能）：</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; 将SELECT 语句分为5部分：SELECT,FROM,WHERE,GROUP BY, ORDER BY, 每个部分分行编写，将每一行的第一个关键字与第一行的SELECT尾部对齐，如</p>
<div>
<pre class="prettyprint linenums">SELECT col1, col2, col3<br />
FROM table1<br />
WHERE col1 &gt; col2<br />
GROUP BY col1, col2<br />
ORDER BY col1;</pre>
</div>
<p>&#160;&#160;&#160; 所有关键字用大写。</p>
<p>&#160;&#160;&#160;&#160;&#160;&#160;&#160; 将语句中WHERE 和AND 部分格式化，书写布局类似于以下，并且操作两边应各留一个空格</p>
<div>
<pre class="prettyprint linenums">WHERE a = 1<br />
AND b = 2<br />
AND  c=3</pre>
</div>
<p>&#160;&#160;&#160;&#160;&#160;&#160; c. INSERT语句</p>
<div>
<pre class="prettyprint linenums">INSERT INTO &lt;要插入的表名&gt;<br />
 (&lt;列1&gt;, &lt;列2&gt;, .., &lt;列n-1&gt;, &lt;列n&gt;)<br />
VALUES (&lt;列1值&gt;, &lt;列2值&gt;, .., &lt;列n-1值&gt;, &lt;列n值&gt;)</pre>
</div>
<p>&#160;&#160;&#160;&#160;&#160; d. UPDATE语句</p>
<div>
<pre class="prettyprint linenums">UPDATE &lt;要更新的表名&gt;<br />
SET &lt;要更新的列&gt; = &lt;列值&gt;</pre>
</div>
<p>&#160;&#160;&#160;&#160;&#160; f. DELETE语句</p>
<div>
<pre class="prettyprint linenums">DELETE FROM authors<br />
WHERE name = 'admin'</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/495m4nzq.html">POSTMAN as debugger for integration APPs</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96557vq.html">ant 错误 Specified VM install not found&colon; type Standard VM&comma; name jdk1&period;6&period;0&lowbar;27</a>
		</li>
						<li><a href="https://www.batexi.com/a/oqv3z0o8.html">jQuery 插件简单模板</a>
		</li>
						<li><a href="https://www.batexi.com/a/m9642mn8.html">转：windows下命令行工具</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqlrp36q.html">HttpClient请求发送的几种用法：</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8m5zj2q.html">linux学习之&mdash;&mdash;数据操作：添加与查询</a>
		</li>
						<li><a href="https://www.batexi.com/a/39r2pomq.html">20145321 Git的安装使用及今后学习规划</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok1wnx9.html">cocoaPods  去警告</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x3z7e8.html">【PHP开源产品】Ecshop的商品筛选功能实现分析之一</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w0jm3q.html">简单的div元素拖拽到div</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn13pek8.html">leetcode LRU Cache python</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kk47z9.html">NET5 Web应用程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyvwzx9.html">centos 6&period;8 配置 Redis3&period;2&period;5</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eypzex9.html">react问题解决的一些方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25xrelq.html">Python数据结构之栈的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2zzorq.html">vue路由异步组件案例</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o10odpq.html">Server Library &lbrack;Apache Tomcat 7&period;0&rsqb; unbound解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv26ye19.html">shell脚本计算斐波那契数列</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdw6mw79.html">简单了解Tomcat与OSGi的类加载器架构</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1ejx19.html">PyQt5--EventSender</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8z1kjln9.html">sql server2005 实现读写分离</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ok4oy59.html">010-python基础-数据类型-字符串操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wkv3oq.html">JS实现浏览器的title闪烁</a>
			</li>
						<li><a href="https://www.batexi.com/a/95x3vmm8.html">C&num; 处理csv格式的Excel文件代码</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wknexq.html">char const&ast;&comma; char&ast;const&comma; const char &ast;const的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/93xprj09.html">Python数学运算</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1n6328.html">一篇文章教你读懂Makefile</a>
			</li>
						<li><a href="https://www.batexi.com/a/qydv31jq.html">DeviceOne开发HelloWord</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wklmlq.html">netfilter</a>
			</li>
						<li><a href="https://www.batexi.com/a/93xpzrw9.html">Qt窗体关闭时&comma;如何自动销毁窗体类对象</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
